<DOCTYPE! html>
    <html>

    <HEAD>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css"
            integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
        <title>Home</title>

    </head>

    <body>
        <div class="navigation-bar" style="background-color: lightgray">
            <nav class="navbar navbar-expand-lg navbar-light bg-steelblue">
                <a class="navbar-brand text-danger" href="#"><strong >Quora</strong></a>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02"
                    aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
                    <ul class="navbar-nav mr-auto mt-2 mt-lg-0 pd-5">
                        <li class="nav-item active">
                            <a class="nav-link pl-5 pr-5" href="#">Home <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link pl-5 pr-5" href="#">About</a>
                        </li>
                    </ul>
                    <form class="form-inline my-2 my-lg-0">
                        <!--<input class="form-control mr-sm-2" type="search" placeholder="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button> -->
                        <ul class="navbar-nav mr-auto mt-2 mt-lg-0 ">
                            <li class="nav-item active pl-5 pr-5">
                                <a class="nav-link" href="#">Login <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item pl-5 pr-5">
                                <a class="nav-link" href="#">Register</a>
                            </li>
                        </ul>
                    </form>
                </div>
            </nav>
        </div>
        <div class="container p-3">
            <div class="row">
                <div class="col-md-8">
                   {%  for post1 in post %}
                        <div class="media">
                                <img src="/static/avtar.jpg" class="mr-3 img-thumbnail" alt="...">
                                <div class="media-body">
                                <h5 class="mt-0">{{post1['author']}}</h5>
                                {{post1['question']}}
                            
                                <div class="media mt-3">
                                    <a class="mr-3" href="#">
                                    <img src="/static/answer.png" class="mr-3" alt="...">
                                    </a>
                                    <div class="media-body">
                                    <h5 class="mt-0">{{post1['answer-author']}}</h5>
                                    {{post1['answer']}}
                                   </div>
                                </div>
                                </div>
                            </div>
                   {% endfor %}
                    
                </div>
                <!--<div class="col-md-4  ">
                    <div class="content-section border border-light bg-light">
                        <h3 class="pl-5 ml-5">Our Sidebar</h3>
                        <p class='text-muted pl-5 ml-4'>You can put any Information </p>
                        <ul class="list-group ">
                            <li class="list-group-item list-group-item-light pl-5">Latest Posts</li>
                            <li class="list-group-item list-group-item-light pl-5">Older Posts</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div> -->
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
            crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
            crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy"
            crossorigin="anonymous"></script>
    </body>

    </html>
    </DOCTYPE>